lwIP 2.1.2 Lightweight IP stack

Data Structures | Macros | Functions
sntp.c File Reference
`#include "lwip/apps/sntp.h"`
`#include "lwip/opt.h"`
`#include "lwip/timeouts.h"`
`#include "lwip/udp.h"`
`#include "lwip/dns.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/dhcp.h"`
`#include <string.h>`
`#include <time.h>`
`#include "arch/bpstruct.h"`
`#include "arch/epstruct.h"`

## Data Structures
struct | sntp_time
struct | sntp_timestamps
struct | sntp_msg
struct | sntp_server

## Macros
#define | SNTP_FRAC_TO_US(f) ((u32_t)(f) / 4295)

## Functions
void | sntp_init (void)
void | sntp_stop (void)
u8_t | sntp_enabled (void)
void | sntp_setoperatingmode (u8_t operating_mode)
u8_t | sntp_getoperatingmode (void)
u8_t | sntp_getreachability (u8_t idx)
void | sntp_setserver (u8_t idx, const ip_addr_t *server)
const ip_addr_t * | sntp_getserver (u8_t idx)

## Detailed Description

SNTP client module

## Macro Definition Documentation

## ◆ SNTP_FRAC_TO_US

#define SNTP_FRAC_TO_US | ( |  | f | ) | ((u32_t)(f) / 4295)

Convert NTP timestamp fraction to microseconds.